Entrar

Cancelar transacción

POST https://{organization}.myguper.com/api/loyalty/transaction/cancel/{TID}

Cancela una transacción por TID sin afectar el pedido asociado. Revierte la acumulación de cashback y cualquier reserva hecha por la transacción.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header. Endpoints that support a Public mode (e.g. acúmulo and resgate previews) accept the same request without the header — Private mode adds customer data and a confirmation token to the response.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper. Omit only on endpoints that explicitly support a Public mode.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parámetros de ruta

Name Type Description
TID * string

Respuestas

{
    "TID": "5876f434afea2e0aafeed9bcc0adfd625b52e301fb9c1b5f437f2b819fa541e4",
    "order": 1898583,
    "reward": [
        {
            "cardId": 95980,
            "value": 5
        }
    ],
    "redemption": [
        {
            "cardId": 74744,
            "value": 50
        }
    ]
}

Relacionados

Copied to clipboard